API Reference / V2 Events Create event Creates an event in the organisation and returns the new event ID with status 201. The application installation must target this organisation. Requires the event:create scope and an Idempotency-Key header that replays the first result on retry.
POST /api/v2/organisations/{organisationId}/events
Parameters # Property Type Location Description organisationIdstringRequired path- x-request-idstringheader- idempotency-keystringRequired header-
Request # curl --request POST 'https://strave.gg/api/v2/organisations/ORGANISATION_ID/events' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 201Response for status 201
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ resourceIdstringRequired - └ revisionintegerRequired - └ updatedbooleanRequired -